import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconChrome = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("circle", { cx: "12", cy: "12", r: "10" }), _jsx("circle", { cx: "12", cy: "12", r: "4" }), _jsx("line", { x1: "21.17", y1: "8", x2: "12", y2: "8" }), _jsx("line", { x1: "3.95", y1: "6.06", x2: "8.54", y2: "14" }), _jsx("line", { x1: "10.88", y1: "21.94", x2: "15.46", y2: "14" })] }));
};
IconChrome.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconChrome.js.map