import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconMinimize = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsx("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: _jsx("path", { d: "M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3" }) }));
};
IconMinimize.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconMinimize.js.map